Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84981 - Revert cursorthemegen change
Summary: Revert cursorthemegen change
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-artwork
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-24 17:26 UTC by Owen Taylor
Modified: 2013-03-13 04:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-18 14:45:29 UTC


Attachments (Terms of Use)

Description Owen Taylor 2003-02-24 17:26:56 UTC
The error => warning change from 2003-02-22 to main.c
needs to be reverted as soon as we have time to fix
up the artwork. Valid theme files can't contain missing
frames.

[ Note that the same commit contained a valid bug fix as
well ]

Comment 1 Owen Taylor 2003-07-30 13:28:56 UTC
I  reverted the change in icon-slicer CVS; if redhat-artwork now builds
doesn't trigger this warning, this bug can be closed. If it does,
that needs to be fixed, or the build will break next time we 
pull in a new icon-slicer release.




Comment 2 Alexander Larsson 2003-08-08 13:22:12 UTC
So, the issue seems to be that the "watch" cursor only has animations for
size=24. Can't you have different length animations for different sizes?


Comment 3 Owen Taylor 2003-08-08 13:51:11 UTC
No, I don't think that makes sense.... of course, the underlying
cursor file format doesn't care if there is any correlation between
different cursors at different sizes, but the idea of icon-slicer
is that we have:

 Information about the cursor independent of size
 Sources images at different sizes

To show further why it doesn't make sense, there is only one specification
of delay times, so while you can sort of make it work to have 
a single frame of animation and an entire animation, you couldn't
have one animation with half the frames of another animation.

I don't think there is any alternative to drawing the missing frames.


Comment 4 Garrett LeSage 2003-08-08 14:17:44 UTC
The way the watch is animated would make it entirely difficult to animate it for
other sizes. The rotation was done in Illustrator and the flowing was done
pixel-by-pixel in the Gimp. Duplicating this for other sizes would take a *lot*
of time for something that is not seen by most people.

Comment 5 Owen Taylor 2003-08-08 14:50:36 UTC
I suppose we perhaps could take a "replicate for missing frames"
interpretation, and optimize it internally to add up delay times 
instead of actually storing the missing frames.



Comment 6 Bill Nottingham 2006-08-07 17:43:01 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.


Comment 7 Bill Nottingham 2006-10-18 14:45:29 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.